---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetlocal003.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x509E0, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52920, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52D10, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53CB0, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53CC0, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50510, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50514, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50518, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50670, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50728, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5072C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50730, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50734, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50738, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50740, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50758, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50760, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50768, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50770, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50778, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x507BC, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x507BD, symBinAddr: 0xC1AD, symSize: 0x0 }
  - { offsetInCU: 0x90FE, offset: 0x90FE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x507C0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x507C8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x507D8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9182, offset: 0x9182, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4510, symSize: 0x80 }
  - { offsetInCU: 0x9217, offset: 0x9217, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x4460, symSize: 0xB0 }
  - { offsetInCU: 0x9272, offset: 0x9272, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x4360, symSize: 0x100 }
  - { offsetInCU: 0x9505, offset: 0x9505, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x4590, symSize: 0x220 }
  - { offsetInCU: 0x96EA, offset: 0x96EA, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x47B0, symSize: 0xA0 }
  - { offsetInCU: 0x979D, offset: 0x979D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x4850, symSize: 0x110 }
  - { offsetInCU: 0x9893, offset: 0x9893, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x4960, symSize: 0x150 }
  - { offsetInCU: 0x99C4, offset: 0x99C4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4AB0, symSize: 0x30 }
  - { offsetInCU: 0x9AA5, offset: 0x9AA5, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4AE0, symSize: 0x150 }
  - { offsetInCU: 0x9C9D, offset: 0x9C9D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4C30, symSize: 0x160 }
  - { offsetInCU: 0x9E29, offset: 0x9E29, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4D90, symSize: 0x1B0 }
  - { offsetInCU: 0xA044, offset: 0xA044, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4F40, symSize: 0xA0 }
  - { offsetInCU: 0xA113, offset: 0xA113, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4FE0, symSize: 0x20 }
  - { offsetInCU: 0xA14A, offset: 0xA14A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5000, symSize: 0x20 }
  - { offsetInCU: 0xA181, offset: 0xA181, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5020, symSize: 0x20 }
  - { offsetInCU: 0xA334, offset: 0xA334, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5040, symSize: 0x1A0 }
  - { offsetInCU: 0xA65A, offset: 0xA65A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x51E0, symSize: 0x80 }
  - { offsetInCU: 0xA723, offset: 0xA723, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x5260, symSize: 0x6A0 }
  - { offsetInCU: 0xB2B8, offset: 0xB2B8, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA170, symBinAddr: 0x6560, symSize: 0xB0 }
  - { offsetInCU: 0xB32F, offset: 0xB32F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5900, symSize: 0x70 }
  - { offsetInCU: 0xB417, offset: 0xB417, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5970, symSize: 0xA0 }
  - { offsetInCU: 0xB542, offset: 0xB542, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5A10, symSize: 0x40 }
  - { offsetInCU: 0xB638, offset: 0xB638, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5A50, symSize: 0x2B0 }
  - { offsetInCU: 0xB9DE, offset: 0xB9DE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5D00, symSize: 0xC0 }
  - { offsetInCU: 0xBB24, offset: 0xBB24, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5DC0, symSize: 0x10 }
  - { offsetInCU: 0xBBE6, offset: 0xBBE6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5DD0, symSize: 0x220 }
  - { offsetInCU: 0xBEE3, offset: 0xBEE3, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5FF0, symSize: 0x10 }
  - { offsetInCU: 0xBF40, offset: 0xBF40, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6000, symSize: 0x170 }
  - { offsetInCU: 0xC10D, offset: 0xC10D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D80, symBinAddr: 0x6170, symSize: 0x10 }
  - { offsetInCU: 0xC2F6, offset: 0xC2F6, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x9D90, symBinAddr: 0x6180, symSize: 0x300 }
  - { offsetInCU: 0xC71B, offset: 0xC71B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetLocalVariable_setlocal003_getReady, symObjAddr: 0xA090, symBinAddr: 0x6480, symSize: 0xD0 }
  - { offsetInCU: 0xC84B, offset: 0xC84B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetLocalVariable_setlocal003_getRes, symObjAddr: 0xA160, symBinAddr: 0x6550, symSize: 0x10 }
  - { offsetInCU: 0xC880, offset: 0xC880, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA220, symBinAddr: 0x6610, symSize: 0x36A }
...
